#!/bin/bash


# PYTHIADIR=/home/miyamoto/soft/utils/pythia/6.4.22
#PYTHIADIR=/nfs/g/ilc/soft/utils64/pythia-6-422
#FSPLIT=${PYTHIADIR}/src/fsplit

FSPLIT=$1

if [ ! -x ${FSPLIT} ] ; then 
  echo "Please specify a path to fsplit command."
  echo "Usage : mklib.sh [path_to_fsplit]"
  exit
fi

cp -pv ${FSPLIT} .

./fsplit ../tauola.f
./fsplit ../demo-jetset/tauface-jetset.f
./fsplit ../demo-jetset/tauola_photos_ini.f
cp -pv ../formf.f .



FC=gfortran
FFLAG="-c -fno-automatic -ffixed-line-length-132 -fno-backslash -fPIC"

for f in *.f ; do
  obj=`echo $f | sed -e "s/f$/o/"` 
  ${FC} ${FFLAG} -o ${obj} ${f}

done

rm -f ../libtauola.a
ar urs ../libtauola.a *.o

